# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kinetic/version'

Gem::Specification.new do |spec|
  spec.name          = 'kinetic'
  spec.version       = Kinetic::VERSION
  spec.authors       = ['Jarod Reid']
  spec.email         = ['jreid@voyst.com']
  spec.description   = %q{A powerful yet simple AMQP worker framework}
  spec.summary       = %q{A powerful yet simple AMQP worker framework}
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'confstruct'
  spec.add_dependency 'amqp'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'kgio'
  spec.add_dependency 'awesome_print'
  spec.add_dependency 'msgpack'
  spec.add_dependency 'bunny'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'yard'


end
